AND

Symbol: |
Description: | This function block computes the logical AND of up to 8 input BIT signals. This means the output is logical 1 if all input signals are logical 1. All input signals, as well as the output signal, may be negated.
Parameter: | The parameter dialog can be used to define the number of input signals, as well as the selection of negated signals.
Signals: | Name | I/O | Type(s) | Function
 | P0 | I | BIT | First input signal
 | …… |  |  |
 | Pn | I | BIT | Other input signals (n=1 to 7)
 | Q | O | BIT | Result
Visualization: | If the output Q is logical 1, the function block will be highlighted.


NOT

Symbol: |
Description: | This function block computes the logical negation of the input signal. This means the output is logical 1 if the input signal is logical 0.
Signals: | Name | I/O | Type(s) | Function
 | P | I | BIT | Input signal
 | Q | O | BIT | Result
Visualization: | If the output Q is logical 1, the function block will be highlighted.


OR

Symbol: |
Description: | This function block computes the logical OR of up to 8 input BIT signals. This means the output is logical 1 if any of the input signals is logical 1. All input signals, as well as the output signal may be negated.
Parameter: | The parameter dialog can be used to define the number of input signals, as well as the selection of negated signals.
Signals: | Name | I/O | Type(s) | Function
 | P0 | I | BIT | First input signal
 | ...... |  |  |
 | Pn | I | BIT | Other input signals (n=1 to 7)
 | Q | O | BIT | Result
Visualization: | If the output Q is logical 1, the function block will be highlighted.


XOR

Symbol: |
Description: | This function block computes the logical XOR of 2 input BIT signals. This means the output is logical 1 if the two input signals are different. All input signals, as well as the output signal may be negated.
Parameter: | The parameter dialog can be used to select the negated signals.
Signals: | Name | I/O | Type(s) | Function
 | P0 | I | BIT | First input signal
 | P1 | I | BIT | Second input signal
 | Q | O | BIT | Result
Visualization: | If the output Q is logical 1, the function block will be highlighted.